Bug 6715 - When enabling ColorTiling2D in xorg on some radeon chipsets (TURKS/CACIOS) It fails and floods the dmesg and corrupts the screen
: When enabling ColorTiling2D in xorg on some radeon chipsets (TURKS/CACIOS) It...
Status: RESOLVED OLD
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: 2
: All Linux
: High Severity: critical
: ---
Assigned To: Thomas Backlund
:
: http://people.freedesktop.org/~glisse...
:
: PATCH, UPSTREAM
:
:
  Show dependency treegraph
 
Reported: 2012-07-07 05:28 CEST by Simon Putt
Modified: 2013-11-23 16:15 CET (History)
1 user (show)

See Also:
Source RPM: kernel
CVE:
Status comment:


Attachments

Description Simon Putt 2012-07-07 05:28:33 CEST
When enabling ColorTiling2D in xorg on some radeon chipsets (TURKS/CAICOS) It fails and floods the dmesg and corrupts the screen

the expected action is a very large performance increase in 3D games etc

The kernel needs a small patch as the DDX was changed last min (as I understand)

Many thanks

(patch is in url field)

Simon/Lemonzest
Comment 1 Manuel Hiebel 2012-07-07 14:19:12 CEST
I guess this patch is to add in the kernel ?
Comment 2 Manuel Hiebel 2012-07-07 14:19:53 CEST
sorry thomas, see comment 1, only an upstream patch
Comment 3 Simon Putt 2012-07-11 05:20:16 CEST
Yeah sorry, kernel patch.

Any news on this (or a general kernel update? 3.3.8 is around now) I know we prob wont jump to 3.4 tho.
Comment 4 Thomas Backlund 2012-07-13 11:03:43 CEST
Can you try kernel-3.3.8-1.mga2 from updates_testing.

It has a fix for this.
Comment 5 Simon Putt 2012-07-13 18:12:04 CEST
Been using this kernel since its release last night, and tho the previous command stream error is FIXED ColorTiling2D in xorg.conf is still not usable (Tho 1D Tiling is working now) as it is now a place for Mesa (git or wait for 8.1 for the Radeon Tiling fixes)

As of now, the screen corruption is gone, and I can enable R600_TILING=true and get some performance increase, tho not Full Tiling ability, but as the kernel stands, I would say its fixed

Steps needed now to enable 2D tiling on radeon, Update to a git build of mesa (wont be available to Mageia 2 as I understand) and enable ColorTiling2D in xorg and add env vars R600_TILING and R600_SURF to a profile script.

Many thanks.

The errors I get now is

evergreen_surface_value_conv_check

Which according to my short googling says is now mesa related.

Simon\Lemonzest
Comment 6 Manuel Hiebel 2013-10-22 12:11:57 CEST
This message is a reminder that Mageia 2 is nearing its end of life.
Approximately one month from now Mageia will stop maintaining and issuing updates for Mageia 2. At that time this bug will be closed as WONTFIX (EOL) if it remains open with a Mageia 'version' of '2'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Mageia version prior to Mageia 2's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Mageia 2 is end of life.  If you would still like to see this bug fixed and are able to reproduce it against a later version of Mageia, you are encouraged to click on "Version" and change it against that version of Mageia.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Mageia release includes newer upstream software that fixes bugs or makes them obsolete.

-- 
The Mageia Bugsquad
Comment 7 Manuel Hiebel 2013-11-23 16:15:06 CET
Mageia 2 changed to end-of-life (EOL) status on ''22 November''. Mageia 2 is no
longer maintained, which means that it will not receive any further security or
bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Mageia
please feel free to click on "Version" change it against that version of Mageia
and reopen this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

--
The Mageia Bugsquad

Note You need to log in before you can comment on or make changes to this bug.